clear variables; close all;

%%
load table.mat;

%% averages



TSI_bsl(1,1)=nanmean(A.T0bslTSI);
TSI_bsl(1,2)=nanstd(A.T0bslTSI);
TSI_bsl(1,3)=100*TSI_bsl(1,2)./TSI_bsl(1,1);

DeOx(1,1)=nanmean(A.T0slope1);
DeOx(1,2)=nanstd(A.T0slope1);
DeOx(1,3)=100*DeOx(1,2)./DeOx(1,1);

ReOx(1,1)=nanmean(A.T0slope2);
ReOx(1,2)=nanstd(A.T0slope2);
ReOx(1,3)=100*ReOx(1,2)./ReOx(1,1);

HAUC(1,1)=nanmean(A.T0AUC);
HAUC(1,2)=nanstd(A.T0AUC);
HAUC(1,3)=100*HAUC(1,2)./HAUC(1,1);

THC_bsl(1,1)=nanmean(A.T0bslTHb);
THC_bsl(1,2)=nanstd(A.T0bslTHb);
THC_bsl(1,3)=100*THC_bsl(1,2)./THC_bsl(1,1);

%%
% x=1:1:numel(A.T0bslTSI);
x=[1 3 6 7 8 10 11 12 13 16 17 18 19 20 21 24 26 28 29 30];


%%
figure;
errorbar(x,A.T0bslTSI,A.sT0bslTSI,'-o','MarkerSize',9,'MarkerFaceColor','b')
xlabel('time (days)')
ylabel('TSI(%)')
xlim([0 31])
yline(TSI_bsl(1,1),'-');
yline(TSI_bsl(1,1)+TSI_bsl(1,2),'--');
yline(TSI_bsl(1,1)-TSI_bsl(1,2),'--');
box on
ax=gca;
ax.XGrid = 'on' ;

%%
figure;
errorbar(x,A.T0bslTHb,A.sT0bslTHb,'-o','MarkerSize',9,'MarkerFaceColor','b')
xlabel('time (days)')
ylabel('THC(uM)')
xlim([0 31])
yline(THC_bsl(1,1),'-');
yline(THC_bsl(1,1)+THC_bsl(1,2),'--');
yline(THC_bsl(1,1)-THC_bsl(1,2),'--');
box on
ax=gca;
ax.XGrid = 'on' ;
%%
figure;
errorbar(x,A.T0slope1,A.T0slope1CI,'-o','MarkerSize',9,'MarkerFaceColor','b')
xlabel('time (days)')
ylabel('DeOx(%/min)')
xlim([0 31])
yline(DeOx(1,1),'-');
yline(DeOx(1,1)+DeOx(1,2),'--');
yline(DeOx(1,1)-DeOx(1,2),'--');
box on
ax=gca;
ax.XGrid = 'on' ;
%%
figure;
errorbar(x,A.T0slope2,A.T0slope2CI,'-o','MarkerSize',9,'MarkerFaceColor','b')
xlabel('time (days)')
ylabel('ReOx(%/min)')
xlim([0 31])
yline(ReOx(1,1),'-');
yline(ReOx(1,1)+ReOx(1,2),'--');
yline(ReOx(1,1)-ReOx(1,2),'--');
box on
ax=gca;
ax.XGrid = 'on' ;
%%
figure;
plot(x,A.T0AUC,'-o','MarkerSize',9,'MarkerFaceColor','b')
xlabel('time (days)')
ylabel('H(%*min)')
xlim([0 31])
yline(HAUC(1,1),'-');
yline(HAUC(1,1)+HAUC(1,2),'--');
yline(HAUC(1,1)-HAUC(1,2),'--');
box on
ax=gca;
ax.XGrid = 'on' ;
%%
% figure;
% boxplot(A.T0bslTSI)
% ylabel('TSI baseline(%)')
% %%
% figure;
% boxplot(A.T0slope1)
% ylabel('DeOx(%/min)')
% 
% %%
% figure;
% boxplot(A.T0slope2)
% ylabel('ReOx(%/min)')
% %%
% figure;
% boxplot(A.T0AUC)
% ylabel('H(%*min)')
