clear variables; close all;

%%
load table_alldays;
ALL=T;
% T=T(T.day==2 | T.day==3,:);

a=unique(T.devID);

%% averages, one value every device
% 
% temp=zeros(2*numel(a),6);
% temp(:,:)=NaN;
% 
% 
% AV=array2table(temp);
% AV.Properties.VariableNames(1:6) = {'devID','phantom','TSI','std_TSI','THC','std_THC'};
% 
% AV.devID(1:numel(a))=a;AV.devID(numel(a)+1:end)=a;
% AV.phantom(1:numel(a))=300;AV.phantom(numel(a)+1:end)=312;
% 
% 
% 
% 
% 
% for i=1:numel(AV.TSI)
%     AV{i,3}=nanmean(T(T.devID==AV{i,1} & T.phantom==AV{i,2},:).TSI);
%     AV{i,4}=nanstd(T(T.devID==AV{i,1} & T.phantom==AV{i,2},:).TSI);
%     AV{i,5}=nanmean(T(T.devID==AV{i,1} & T.phantom==AV{i,2},:).THC);
%     AV{i,6}=nanstd(T(T.devID==AV{i,1} & T.phantom==AV{i,2},:).THC);
% 
% 
% 
% end
% 
% save table_AV_day1-2-3.mat AV;
% 

       
%% PB300

col_l = {'ko', 'bo', 'ro','go','mo'};
col_2 = {'kp', 'bp', 'rp','gp','mp'};
col_3 = {'ks', 'bs', 'rs','gs','ms'};
col_4 = {'kd', 'bd', 'rd','gd','md'};

markfill={'k', 'b', 'r','g','m'};

phan=300;
a=unique(T.devID);
x=1:1:numel(a);
int=0.05;
figure;
hold on;
for i=1:numel(a)
    b=numel(T(T.devID==a(i) & T.phantom==phan,:).TSI);
    temp=1:b; dx=int*(temp-mean(temp));
    for j=1:numel(dx)
        
         
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==1
                col=col_l;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==2
                col=col_2;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==3
                col=col_3;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==4
                col=col_4;
            end
            
            
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==1
                color=col{1,1};fillcol=markfill{1,1};
                
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==2
                color=col{1,2};fillcol=markfill{1,2};
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==3
                color=col{1,3};fillcol=markfill{1,3};
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==4
                color=col{1,4};fillcol=markfill{1,4};
            end
            
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==5
                color=col{1,5};fillcol=markfill{1,5};
            end
        
        
        
        
            errorbar(x(i)+dx(j),T(T.devID==a(i) & T.phantom==phan,:).TSI(j),T(T.devID==a(i) & T.phantom==phan,:).std_TSI_rep(j),color,'MarkerSize',9,'MarkerFaceColor',fillcol);
        
    end
end
ax=gca;
yline(mean(AV(AV.phantom==phan,:).TSI),'-','Average');
yline(mean(AV(AV.phantom==phan,:).TSI)+std(AV(AV.phantom==phan,:).TSI),'--','Std');
yline(mean(AV(AV.phantom==phan,:).TSI)-std(AV(AV.phantom==phan,:).TSI),'--','Std');
xticks(x);
xticklabels({'id36','id38','id40','id45','id47','id48','id50','id54','id55','id56','id57','id58','id59'})
title('INO PB300, TSI')
ylabel('TSI (%)')
ylim([40 70])
ax.XGrid = 'on' ;
box on

% legend('day 1','day 2','day 3','day 4')

%% PB312

col_l = {'ko', 'bo', 'ro','go','mo'};
col_2 = {'kp', 'bp', 'rp','gp','mp'};
col_3 = {'ks', 'bs', 'rs','gs','ms'};
col_4 = {'kd', 'bd', 'rd','gd','md'};

markfill={'k', 'b', 'r','g','m'};
phan=312;
a=unique(T.devID);
x=1:1:numel(a);
int=0.05;
figure;
hold on;
for i=1:numel(a)
    b=numel(T(T.devID==a(i) & T.phantom==phan,:).TSI);
    temp=1:b; dx=int*(temp-mean(temp));
    for j=1:numel(dx)
        
        
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==1
                col=col_l;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==2
                col=col_2;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==3
                col=col_3;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==4
                col=col_4;
            end
        
        
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==1
                color=col{1,1};fillcol=markfill{1,1};
                
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==2
                color=col{1,2};fillcol=markfill{1,2};
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==3
                color=col{1,3};fillcol=markfill{1,3};
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==4
                color=col{1,4};fillcol=markfill{1,4};
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==5
                color=col{1,5};fillcol=markfill{1,5};
            end
        
            errorbar(x(i)+dx(j),T(T.devID==a(i) & T.phantom==phan,:).TSI(j),T(T.devID==a(i) & T.phantom==phan,:).std_TSI_rep(j),color,'MarkerSize',9,'MarkerFaceColor',fillcol);
        
    end
end
ax=gca;

yline(mean(AV(AV.phantom==phan,:).TSI),'-','Average');
yline(mean(AV(AV.phantom==phan,:).TSI)+std(AV(AV.phantom==phan,:).TSI),'--','Std');
yline(mean(AV(AV.phantom==phan,:).TSI)-std(AV(AV.phantom==phan,:).TSI),'--','Std');
xticks(x);
xticklabels({'id36','id38','id40','id45','id47','id48','id50','id54','id55','id56','id57','id58','id59'})
title('INO PB312, TSI')
ylabel('TSI (%)')
ylim([40 70])
ax.XGrid = 'on' ;
box on

%%

    
    

%% PB300

col_l = {'ko', 'bo', 'ro','go','mo'};
col_2 = {'kp', 'bp', 'rp','gp','mp'};
col_3 = {'ks', 'bs', 'rs','gs','ms'};
col_4 = {'kd', 'bd', 'rd','gd','md'};

markfill={'k', 'b', 'r','g','m'};

phan=300;
a=unique(T.devID);
x=1:1:numel(a);
int=0.05;
figure;
hold on;
for i=1:numel(a)
    b=numel(T(T.devID==a(i) & T.phantom==phan,:).THC);
    temp=1:b; dx=int*(temp-mean(temp));
    for j=1:numel(dx)
        
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==1
                col=col_l;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==2
                col=col_2;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==3
                col=col_3;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==4
                col=col_4;
            end
        
        
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==1
                color=col{1,1};fillcol=markfill{1,1};
                
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==2
                color=col{1,2};fillcol=markfill{1,2};
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==3
                color=col{1,3};fillcol=markfill{1,3};
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==4
                color=col{1,4};fillcol=markfill{1,4};
            end
            
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==5
                color=col{1,5};fillcol=markfill{1,5};
            end
        
            errorbar(x(i)+dx(j),T(T.devID==a(i) & T.phantom==phan,:).THC(j),T(T.devID==a(i) & T.phantom==phan,:).std_THC_rep(j),color,'MarkerSize',9,'MarkerFaceColor',fillcol);
        
    end
end
ax=gca;

yline(mean(AV(AV.phantom==phan,:).THC),'-','Average');
yline(mean(AV(AV.phantom==phan,:).THC)+std(AV(AV.phantom==phan,:).THC),'--','Std');
yline(mean(AV(AV.phantom==phan,:).THC)-std(AV(AV.phantom==phan,:).THC),'--','Std');

xticks(x);
xticklabels({'id36','id38','id40','id45','id47','id48','id50','id54','id55','id56','id57','id58','id59'})
title('INO PB300, THC')
ylabel('THC (uM)')
ylim([40 80])
ax.XGrid = 'on' ;
box on

%% PB312

col_l = {'ko', 'bo', 'ro','go','mo'};
col_2 = {'kp', 'bp', 'rp','gp','mp'};
col_3 = {'ks', 'bs', 'rs','gs','ms'};
col_4 = {'kd', 'bd', 'rd','gd','md'};

markfill={'k', 'b', 'r','g','m'};
phan=312;
a=unique(T.devID);
x=1:1:numel(a);
int=0.05;
figure;
hold on;
for i=1:numel(a)
    b=numel(T(T.devID==a(i) & T.phantom==phan,:).THC);
    temp=1:b; dx=int*(temp-mean(temp));
    for j=1:numel(dx)
        
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==1
                col=col_l;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==2
                col=col_2;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==3
                col=col_3;
            end
            if T(T.devID==a(i) & T.phantom==phan,:).operator(j)==4
                col=col_4;
            end
        
        
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==1
                color=col{1,1};fillcol=markfill{1,1};
                
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==2
                color=col{1,2};fillcol=markfill{1,2};
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==3
                color=col{1,3};fillcol=markfill{1,3};
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==4
                color=col{1,4};fillcol=markfill{1,4};
            end
            if T(T.devID==a(i) & T.phantom==phan,:).day(j)==5
                color=col{1,5};fillcol=markfill{1,5};
            end
        
            errorbar(x(i)+dx(j),T(T.devID==a(i) & T.phantom==phan,:).THC(j),T(T.devID==a(i) & T.phantom==phan,:).std_THC_rep(j),color,'MarkerSize',9,'MarkerFaceColor',fillcol);
        
    end
end
ax=gca;
yline(mean(AV(AV.phantom==phan,:).THC),'-','Average');
yline(mean(AV(AV.phantom==phan,:).THC)+std(AV(AV.phantom==phan,:).THC),'--','Std');
yline(mean(AV(AV.phantom==phan,:).THC)-std(AV(AV.phantom==phan,:).THC),'--','Std');
xticks(x);
xticklabels({'id36','id38','id40','id45','id47','id48','id50','id54','id55','id56','id57','id58','id59'})

title('INO PB312, THC')
ylabel('THC (uM)')
ylim([10 40])
ax.XGrid = 'on' ;
box on
    
    
    

    
    
    
    