clear variables; close all;

%%
load table_alldays.mat

%%
devID_array=unique(T.devID);
ph_array=unique(T.phantom);
num_days=5;


%% differences between devices

num_par=15;
matrix=zeros(2,num_par);
matrix(:,:)=NaN;
CV=array2table(matrix);
CV.Properties.VariableNames(1:num_par) = {'phantom','TSI_single_acq','TSI_replac','TSI_hours','TSI_days','TSI_months','TSI_operator','TSI_devices','THC_single_acq','THC_replac','THC_hours','THC_days','THC_months','THC_operator','THC_devices'};
CV.phantom(1)=300;CV.phantom(2)=312;

%% variability between devices
ph=300;
CV(CV.phantom==ph,:).TSI_devices=nanstd(AV(AV.phantom==ph,:).TSI)./nanmean(AV(AV.phantom==ph,:).TSI);
CV(CV.phantom==ph,:).THC_devices=nanstd(AV(AV.phantom==ph,:).THC)./nanmean(AV(AV.phantom==ph,:).THC);
%%%%%%%%
ph=312;
CV(CV.phantom==ph,:).TSI_devices=nanstd(AV(AV.phantom==ph,:).TSI)./nanmean(AV(AV.phantom==ph,:).TSI);
CV(CV.phantom==ph,:).THC_devices=nanstd(AV(AV.phantom==ph,:).THC)./nanmean(AV(AV.phantom==ph,:).THC);

%% variability single acquisition


%remove outlier
T.std_TSI_single_meas(14)=NaN;

ph=300;
CV(CV.phantom==ph,:).TSI_single_acq=nanmean(T(T.phantom==ph,:).std_TSI_single_meas./T(T.phantom==ph,:).TSI);
CV(CV.phantom==ph,:).THC_single_acq=nanmean(T(T.phantom==ph,:).std_THC_single_meas./T(T.phantom==ph,:).THC);
%%%%%%%%
ph=312;
CV(CV.phantom==ph,:).TSI_single_acq=nanmean(T(T.phantom==ph,:).std_TSI_single_meas./T(T.phantom==ph,:).TSI);
CV(CV.phantom==ph,:).THC_single_acq=nanmean(T(T.phantom==ph,:).std_THC_single_meas./T(T.phantom==ph,:).THC);

%% variability replacement
ph=300;
CV(CV.phantom==ph,:).TSI_replac=nanmean(T(T.phantom==ph,:).std_TSI_rep./T(T.phantom==ph,:).TSI);
CV(CV.phantom==ph,:).THC_replac=nanmean(T(T.phantom==ph,:).std_THC_rep./T(T.phantom==ph,:).THC);
%%%%%%
ph=312;
CV(CV.phantom==ph,:).TSI_replac=nanmean(T(T.phantom==ph,:).std_TSI_rep./T(T.phantom==ph,:).TSI);
CV(CV.phantom==ph,:).THC_replac=nanmean(T(T.phantom==ph,:).std_THC_rep./T(T.phantom==ph,:).THC);

%% variability hours (only device 48, variability between repetition 1 and 2, on day 3)

dev=48;
ph=300;
CV(CV.phantom==ph,:).TSI_hours=nanstd(T(T.phantom==ph & T.devID==48 & T.day==3,:).TSI)./nanmean(T(T.phantom==ph & T.devID==48 & T.day==3,:).TSI) ;
CV(CV.phantom==ph,:).THC_hours=nanstd(T(T.phantom==ph & T.devID==48 & T.day==3,:).THC)./nanmean(T(T.phantom==ph & T.devID==48 & T.day==3,:).THC) ;
%%%%%
ph=312;
CV(CV.phantom==ph,:).TSI_hours=nanstd(T(T.phantom==ph & T.devID==48 & T.day==3,:).TSI)./nanmean(T(T.phantom==ph & T.devID==48 & T.day==3,:).TSI) ;
CV(CV.phantom==ph,:).THC_hours=nanstd(T(T.phantom==ph & T.devID==48 & T.day==3,:).THC)./nanmean(T(T.phantom==ph & T.devID==48 & T.day==3,:).THC) ;


%% variability between days (consider only measurements on day 1 and 2, that are 2 june 2020 and 4 june 2020);
%I calculate the CV between days for each device and then average again

ph=300;

TSItemp=zeros(numel(devID_array),1);
THCtemp=zeros(numel(devID_array),1);
for i=1:numel(devID_array)
    
    TSItemp(i)= nanstd(T(T.devID==devID_array(i) & T.phantom==ph & (T.day==1 | T.day==2) ,:).TSI)./nanmean(T(T.devID==devID_array(i) & T.phantom==ph & (T.day==1 | T.day==2) ,:).TSI);
        
    THCtemp(i)= nanstd(T(T.devID==devID_array(i) & T.phantom==ph & (T.day==1 | T.day==2) ,:).THC)./nanmean(T(T.devID==devID_array(i) & T.phantom==ph & (T.day==1 | T.day==2) ,:).THC);

    
end
CV(CV.phantom==ph,:).TSI_days=nanmean(TSItemp);
CV(CV.phantom==ph,:).THC_days=nanmean(THCtemp);
%%%%%%%%%%
ph=312;

TSItemp=zeros(numel(devID_array),1);
THCtemp=zeros(numel(devID_array),1);
for i=1:numel(devID_array)
    
    TSItemp(i)= nanstd(T(T.devID==devID_array(i) & T.phantom==ph & (T.day==1 | T.day==2) ,:).TSI)./nanmean(T(T.devID==devID_array(i) & T.phantom==ph & (T.day==1 | T.day==2) ,:).TSI);
        
    THCtemp(i)= nanstd(T(T.devID==devID_array(i) & T.phantom==ph & (T.day==1 | T.day==2) ,:).THC)./nanmean(T(T.devID==devID_array(i) & T.phantom==ph & (T.day==1 | T.day==2) ,:).THC);

    
end
CV(CV.phantom==ph,:).TSI_days=nanmean(TSItemp);
CV(CV.phantom==ph,:).THC_days=nanmean(THCtemp);

%% variability between months (I consider only device 38, 48, 50, 54, 56, 59, that they are the only with measurements in different months)

%%%I have to create the table with all averaged values per day, that is,
%%%one value per device per phantom per day, then I'll average all these
%%%values
num_row_table=numel(devID_array)*numel(ph_array)*num_days;
temp=zeros(num_row_table,7);
temp(:,:)=NaN;

A=array2table(temp);
A.Properties.VariableNames(1:7) = {'devID','phantom','day','TSI','std_TSI','THC','std_THC'};

% A.devID(1:numel(devID_array))=devID_array;A.devID(numel(devID_array)+1:end)=devID_array;
% A.phantom(1:numel(devID_array))=300;A.phantom(numel(devID_array)+1:end)=312;

h=0;
for i=1:numel(devID_array)
    
    for j=1:numel(ph_array)
        
        for k=1:num_days
            
            h=h+1;
            A{h,1}=devID_array(i,1);
            A{h,2}=ph_array(j);
            A{h,3}=k;
                     
            
            
        end
    
    
    end
    
end

for i=1:numel(A.TSI)

    A{i,4}=nanmean(T(T.devID==A{i,1} & T.phantom==A{i,2} & T.day==A{i,3},:).TSI);    
    A{i,5}=nanstd(T(T.devID==A{i,1} & T.phantom==A{i,2} & T.day==A{i,3},:).TSI);
    A{i,6}=nanmean(T(T.devID==A{i,1} & T.phantom==A{i,2} & T.day==A{i,3},:).THC);
    A{i,7}=nanstd(T(T.devID==A{i,1} & T.phantom==A{i,2} & T.day==A{i,3},:).THC);
end

aa=find(A.std_TSI==0);
bb=find(A.std_THC==0);

A.std_TSI(aa)=NaN;
A.std_THC(bb)=NaN;

%I consider only device 38, 48, 50, 54, 56, 59, that they are the only with measurements in different months)

dev_temp=[38; 48; 50; 54; 56; 59];
CV_TSI_months=zeros(size(dev_temp,1),2);CV_TSI_months(:,:)=NaN;
CV_THC_months=zeros(size(dev_temp,1),2);CV_THC_months(:,:)=NaN;


for i=1:numel(dev_temp)
    
    CV_TSI_months(i,1)=nanstd(A(A.devID==dev_temp(i,1) & A.phantom==300,:).TSI)./nanmean(A(A.devID==dev_temp(i,1) & A.phantom==300,:).TSI);
    CV_TSI_months(i,2)=nanstd(A(A.devID==dev_temp(i,1) & A.phantom==312,:).TSI)./nanmean(A(A.devID==dev_temp(i,1) & A.phantom==312,:).TSI);
    CV_THC_months(i,1)=nanstd(A(A.devID==dev_temp(i,1) & A.phantom==300,:).THC)./nanmean(A(A.devID==dev_temp(i,1) & A.phantom==300,:).THC);
    CV_THC_months(i,2)=nanstd(A(A.devID==dev_temp(i,1) & A.phantom==312,:).THC)./nanmean(A(A.devID==dev_temp(i,1) & A.phantom==312,:).THC);    
end



ph=300;   
CV(CV.phantom==ph,:).TSI_months=nanmean(CV_TSI_months(:,1));
ph=312;   
CV(CV.phantom==ph,:).TSI_months=nanmean(CV_TSI_months(:,2));

ph=300;   
CV(CV.phantom==ph,:).THC_months=nanmean(CV_THC_months(:,1));
ph=312;   
CV(CV.phantom==ph,:).THC_months=nanmean(CV_THC_months(:,2));      
    


%% variability between operators (I consider only dev 50, day 4, operator 3 & 4)

%%%%%measurements the same day by two different operators

day=4;
dev=50;

ph=300;
CV(CV.phantom==ph,:).TSI_operator=nanmean(T(T.devID==dev & T.day==day & T.phantom==ph,:).TSI);
CV(CV.phantom==ph,:).THC_operator=nanmean(T(T.devID==dev & T.day==day & T.phantom==ph,:).THC);

ph=312;
CV(CV.phantom==ph,:).TSI_operator=nanmean(T(T.devID==dev & T.day==day & T.phantom==ph,:).TSI);
CV(CV.phantom==ph,:).THC_operator=nanmean(T(T.devID==dev & T.day==day & T.phantom==ph,:).THC);


%%
save table_all_day_final.mat T AV A;
save table_CV.mat CV;


