clear variables; close all;

%%
id38=load('1338_stability_PB312.mat');
id40=load('01340_OVERNIGHT_PB0312.mat');
id50=load('1350-PB312-STABILITY.mat');

id38.HBC.THC=id38.HBC.absHHb+id38.HBC.absO2Hb;
id40.HBC.THC=id40.HBC.absHHb+id40.HBC.absO2Hb;
id50.HBC.THC=id50.HBC.absHHb+id50.HBC.absO2Hb;


%% stability from 1h to end

CV_TSI_id38=100*nanstd(id38.HBC.TSI(36000:240000))./nanmean(id38.HBC.TSI(36000:240000));
CV_TSI_id40=100*nanstd(id40.HBC.TSI(36000:240000))./nanmean(id40.HBC.TSI(36000:240000));
CV_TSI_id50=100*nanstd(id50.HBC.TSI(36000:240000))./nanmean(id50.HBC.TSI(36000:240000));

CV_THC_id38=100*nanstd(id38.HBC.THC(36000:240000))./nanmean(id38.HBC.THC(36000:240000));
CV_THC_id40=100*nanstd(id40.HBC.THC(36000:240000))./nanmean(id40.HBC.THC(36000:240000));
CV_THC_id50=100*nanstd(id50.HBC.THC(36000:240000))./nanmean(id50.HBC.THC(36000:240000));



%% TSI
th=2;

figure;
hold on;
plot(id38.HBC.time./3600,id38.HBC.TSI,'LineWidth',th)
plot(id40.HBC.time./3600,id40.HBC.TSI,'LineWidth',th)
plot(id50.HBC.time./3600,id50.HBC.TSI,'LineWidth',th)
yline(nanmean(id38.HBC.TSI(90000:240000)),'-.','LineWidth',th);
yline(nanmean(id40.HBC.TSI(90000:240000)),'--','LineWidth',th);
yline(nanmean(id50.HBC.TSI(90000:240000)),':','LineWidth',th);
xlim([0 510]./60);
ylim([40 55]);
box on
saveas(gcf,'TSI_ALL.pdf')



%%
figure;
hold on;
plot(id38.HBC.time./60,id38.HBC.TSI,'LineWidth',th)
plot(id40.HBC.time./60,id40.HBC.TSI,'LineWidth',th)
plot(id50.HBC.time./60,id50.HBC.TSI,'LineWidth',th)
yline(nanmean(id38.HBC.TSI(90000:240000)),'-.','LineWidth',th);
yline(nanmean(id40.HBC.TSI(90000:240000)),'--','LineWidth',th);
yline(nanmean(id50.HBC.TSI(90000:240000)),':','LineWidth',th);
xlim([0 60]);
ylim([45 55]);
box on
saveas(gcf,'TSI_ZOOM.pdf')



%% THC
figure;
hold on;
plot(id38.HBC.time(150:end)./3600,id38.HBC.THC(150:end),'LineWidth',th)
plot(id40.HBC.time(150:end)./3600,id40.HBC.THC(150:end),'LineWidth',th)
plot(id50.HBC.time(150:end)./3600,id50.HBC.THC(150:end),'LineWidth',th)
yline(nanmean(id38.HBC.THC(90000:240000)),'-.','LineWidth',th);
yline(nanmean(id40.HBC.THC(90000:240000)),'--','LineWidth',th);
yline(nanmean(id50.HBC.THC(90000:240000)),':','LineWidth',th);
xlim([0 510]./60);
ylim([20 27]);
box on
saveas(gcf,'THC_ALL.pdf')

%%
figure;
hold on;
plot(id38.HBC.time(150:end)./60,id38.HBC.THC(150:end),'LineWidth',th)
plot(id40.HBC.time(150:end)./60,id40.HBC.THC(150:end),'LineWidth',th)
plot(id50.HBC.time(150:end)./60,id50.HBC.THC(150:end),'LineWidth',th)
yline(nanmean(id38.HBC.THC(90000:240000)),'-.','LineWidth',th);
yline(nanmean(id40.HBC.THC(90000:240000)),'--','LineWidth',th);
yline(nanmean(id50.HBC.THC(90000:240000)),':','LineWidth',th);
xlim([0 60]);
ylim([24 26.5]);
box on
saveas(gcf,'THC_ZOOM.pdf')

